summaryrefslogtreecommitdiff
path: root/debian/patches
diff options
context:
space:
mode:
authorAndreas Mair <amair.sob@googlemail.com>2005-04-12 12:32:06 +0200
committerAndreas Mair <amair.sob@googlemail.com>2005-04-12 12:32:06 +0200
commit022c4f162d7b83cb287b7d16749899d9e7c4242a (patch)
treeecc7dcf65b3e43713d9ecd36a7982dade2197f8a /debian/patches
parent0d6ba991052f971564296c537887e030d13ee730 (diff)
downloadvdradmin-am-0.97-am3.1.tar.gz
vdradmin-am-0.97-am3.1.tar.bz2
2005-04-12: 0.97-am3.1v0.97-am3.1
- Updated Spanish i18n (Thanks to Ruediger Jung). - Added VDR Admin man-page (Thanks to Thomas Schmidt). - Improved detection of another running vdradmind.pl at startup (if vdradmind.pid is found but pid is not a vdradmind.pl vdradmin will start anyway). - Added IMDb lookup button in prog_detail (Suggested by Marcus). - Use configured Streamdev port for live streaming. - Added warning when using EPG_DIRECT. - Updated INSTALL file. - Renamed i18n Español to Spanish (Requested by Ruediger Jung). - Fixed ":" & "|" handling in timer's title and summary (Thanks to Der_Pit for pointing me to that). - Added "Select all" to timer/autotimer/recordings list. - Exchanged priority and lifetime textfields in config.html to match order used at other places (Requested by Ruediger Jung). - Added vdradmin-0.95-0.9pre5-email.diff (Author: blafasel) patch: send email on timers added by AutoTimer (needs sendEmail available here: http://caspian.dotconf.net/menu/Software/SendEmail/). - Fixed timer add/edit where date got set wrong in case it has been entered as "yyyy-mm-dd". - Fixed problems when using MOD_GZIP (Thanks Ville Skyttä). - Fixed Makefile once again (Thanks Zzam for pointing me to this). - Added patches submitted by stefan.h (Thanks!): -> New config option EPG_PRUNE. You can set a channel number up to which VDRAdmin will read EPG. Might reduce memory usage and read-in time. Set to "0" to read all channels. -> Optimizations and bug fixes. - Added install files for Debian (Thanks to Steffen Oberle for requesting and troubleshooting).
Diffstat (limited to 'debian/patches')
-rw-r--r--debian/patches/00list2
-rw-r--r--debian/patches/01_dist-var.dpatch21
-rw-r--r--debian/patches/03_cfgfiles-fhs.dpatch28
3 files changed, 51 insertions, 0 deletions
diff --git a/debian/patches/00list b/debian/patches/00list
new file mode 100644
index 0000000..7b9e8ba
--- /dev/null
+++ b/debian/patches/00list
@@ -0,0 +1,2 @@
+01_dist-var
+03_cfgfiles-fhs.dpatch
diff --git a/debian/patches/01_dist-var.dpatch b/debian/patches/01_dist-var.dpatch
new file mode 100644
index 0000000..3bf465e
--- /dev/null
+++ b/debian/patches/01_dist-var.dpatch
@@ -0,0 +1,21 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+
+## 01_dist-var.dpatch by Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Change vdradmin.pl to search for it's files in system-directories,
+## DP: instead of local, relative paths
+
+@DPATCH@
+diff -urNad /home/chelli/vdr/cvs/vdr/vdradmin/vdradmind.pl vdradmin/vdradmind.pl
+--- /home/chelli/vdr/cvs/vdr/vdradmin/vdradmind.pl 2004-05-27 16:34:55.000000000 +0200
++++ vdradmin/vdradmind.pl 2004-05-27 16:35:55.000000000 +0200
+@@ -42,7 +42,7 @@
+ #use warnings;
+
+ #my $SEARCH_FILES_IN_SYSTEM = (-d '/usr/share/vdradmin/lib' ? 1 : 0); # for distribution
+-my $SEARCH_FILES_IN_SYSTEM = 0;
++my $SEARCH_FILES_IN_SYSTEM = 1;
+
+ sub true () { 1 };
+ sub false () { 0 };
diff --git a/debian/patches/03_cfgfiles-fhs.dpatch b/debian/patches/03_cfgfiles-fhs.dpatch
new file mode 100644
index 0000000..50bb8e1
--- /dev/null
+++ b/debian/patches/03_cfgfiles-fhs.dpatch
@@ -0,0 +1,28 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 03_cfgfiles-fhs.dpatch by Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Change the path to the cfgfile and autotime-file to comply
+## DP: with the FHS (vdradmin changes these files at runtime)
+
+@DPATCH@
+diff -urNad vdradmin-0.96/vdradmind.pl /tmp/dpep.0DtdZt/vdradmin-0.96/vdradmind.pl
+--- vdradmin-0.96/vdradmind.pl 2005-01-23 21:41:19.000000000 +0100
++++ /tmp/dpep.0DtdZt/vdradmin-0.96/vdradmind.pl 2005-01-23 21:42:53.000000000 +0100
+@@ -94,10 +94,10 @@
+ } else {
+ $TEMPLATEDIR = "/usr/share/vdradmin/template";
+ $I18NDIR = "/usr/share/vdradmin/i18n";
+- $CONFFILE = "/etc/vdradmin/vdradmind.conf";
++ $CONFFILE = "/var/lib/vdradmin/vdradmind.conf";
+ $LOGFILE = "/var/log/$CONFIG{LOGFILE}";
+ $PIDFILE = "/var/run/vdradmind.pid";
+- $AT_FILENAME = "/etc/vdradmin/vdradmind.at";
++ $AT_FILENAME = "/var/lib/vdradmin/vdradmind.at";
+- $DONE_FILENAME = "/etc/vdradmin/vdradmind.done";
++ $DONE_FILENAME = "/var/lib/vdradmin/vdradmind.done";
+- $BL_FILENAME = "/etc/vdradmin/vdradmind.bl";
++ $BL_FILENAME = "/var/lib/vdradmin/vdradmind.bl";
+ }
+ my $DONE = &DONE_Read || {};
+